#include "chdecl.h"
void CH_makehermes_make(current, sched, cop)
#define ARGUMENTS 9
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c14;
    case 4: goto c22;
    case 5: goto c24;
    case 6: goto c26;
    case 7: goto cb37;
    case 8: goto c38;
    case 9: goto c52;
    case 10: goto c62;
    case 11: goto c71;
    case 12: goto c82;
    case 13: goto c96;
    case 14: goto c113;
    case 15: goto c116;
    case 16: goto c120;
    case 17: goto c133;
    case 18: goto c151;
    case 19: goto c158;
    case 20: goto c161;
    case 21: goto cb197;
    case 22: goto c198;
    case 23: goto c201;
    case 24: goto c204;
    case 25: goto c213;
    case 26: goto cb233;
    case 27: goto c234;
    case 28: goto c247;
    case 29: goto c258;
    case 30: goto cb308;
    case 31: goto c309;
    case 32: goto c312;
    case 33: goto c314;
    case 34: goto c316;
    case 35: goto c322;
    case 36: goto c330;
    case 37: goto c338;
    case 38: goto c340;
    case 39: goto c344;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* boolean 4 , FALSE */
  REF(4).value.boolean = FALSE;
  REF(4).tsdr = & dr_boolean;
/* new_inport 5 */
  if ((ch_val.inport = make_inport()) == nil) goto ch_depletion;
  (*(REF(5).tsdr)->finalize)(REF(5).value,F_DISCARD,sched);
  REF(5).value = ch_val; REF(5).tsdr = & dr_inport;
/* connect 6 5 */
  if (REF(5).value.inport->refcount == MAXCOUNTER) goto ch_depletion;
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(5).value.inport->refcount++;
  REF(6).value.outport = REF(5).value.inport;
  REF(6).tsdr = & dr_outport;
/* new_table 7 , 2 */
  if ((ch_returncode = che_new_table(DEF(7),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 8 , 3 */
  if ((ch_returncode = che_new_table(DEF(8),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* new_table 9 , 2 */
  if ((ch_returncode = che_new_table(DEF(9),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* new_record 10 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).value = ch_val; REF(10).tsdr = & dr_record;
/* new_table 11 , 2 */
  if ((ch_returncode = che_new_table(DEF(11),QUAL(2),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 12 3.0 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).value = ch_val;
  REF(12).tsdr = & dr_table;
/* initget 13 12 , 0,0 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(13),DEF(12),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c14:
/* get_or_goto 13 12 , 24 */
  if ((ch_returncode = get_selected_object(DEF(13),DEF(12),sched)) != Normal)
     goto c24;
/* new_record 14 , 6 */
  if ((ch_val.record = new_record(6)) == nil) goto ch_depletion;
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).value = ch_val; REF(14).tsdr = & dr_record;
/* copy 14.0 13 */
  if((ch_returncode = (REF(13).tsdr->copy)(& ch_val, REF(13).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(14)DOT(0).tsdr)->finalize)(REF(14)DOT(0).value,F_DISCARD,sched);
  REF(14)DOT(0).value = ch_val;
  REF(14)DOT(0).tsdr = datarepmap[REF(13).tsdr->number];
/* new_table 14.1 , 3 */
  if ((ch_returncode = che_new_table(DEF(14)DOT(1),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* block , 4 */
  if((ch_returncode = che_block(QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* insert 11 14 */
  if ((ch_returncode = insertfunc(DEF(11),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
c22:
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* branch , 14 */
   goto c14;
c24:
/* endget 13 12 */
  end_selector(DEF(13),DEF(12),sched,GET);
/* discard 12 */
  (*(REF(12).tsdr)->finalize)(REF(12).value,F_DISCARD,sched);
  REF(12).tsdr = & dr_bottom;
c26:
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* size 15 11 */
  REF(15).value.integer = REF(11).value.table->size;
  REF(15).tsdr = & dr_integer;
/* ile . 15 =(0) , 116 */
  if ( REF(15).value.integer <= 0 ) goto c116;
/* privatize 11 */
  if (REF(11).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(11))) != Normal)
       goto ch_raise_exception;
/* initget 16 11 , 0,0 */
  (*(REF(16).tsdr)->finalize)(REF(16).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(16),DEF(11),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 16 11 */
  if ((ch_returncode = get_selected_object(DEF(16),DEF(11),sched)) != Normal)
     goto ch_raise_exception;
/* remove 14 16 11 */
  if ((ch_returncode = che_remove(DEF(14),DEF(16),DEF(11),sched)) != Normal)
     goto ch_raise_exception;
/* endget 16 11 */
  end_selector(DEF(16),DEF(11),sched,GET);
/* block , 5 */
  if((ch_returncode = che_block(QUAL(5),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 7;
cb37:
/* call 3.4 14.0 3.3 17 18 19 20 , 6 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(4),
          arguments[1] = DEF(14)DOT(0),
          arguments[2] = DEF(3)DOT(3),
          arguments[3] = DEF(17),
          arguments[4] = DEF(18),
          arguments[5] = DEF(19),
          arguments[6] = DEF(20),
          arguments[6+1] = nil,& arguments[0]),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
  return;
c38:
/* size 21 17 */
  REF(21).value.integer = REF(17).value.table->size;
  REF(21).tsdr = & dr_integer;
/* notequal . 21 =(0) , 45 */
  if ( REF(21).value.integer != 0 ) goto c45;
/* copy 22 14.0 */
  if((ch_returncode = (REF(14)DOT(0).tsdr->copy)(& ch_val, REF(14)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(22).tsdr)->finalize)(REF(22).value,F_DISCARD,sched);
  REF(22).value = ch_val;
  REF(22).tsdr = datarepmap[REF(14)DOT(0).tsdr->number];
/* insert 8 22 */
  if ((ch_returncode = insertfunc(DEF(8),DEF(22),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 50 */
   goto c50;
c45:
/* new_record 10 , 2 */
  if ((ch_val.record = new_record(2)) == nil) goto ch_depletion;
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).value = ch_val; REF(10).tsdr = & dr_record;
/* copy 10.0 14.0 */
  if((ch_returncode = (REF(14)DOT(0).tsdr->copy)(& ch_val, REF(14)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(10)DOT(0).tsdr)->finalize)(REF(10)DOT(0).value,F_DISCARD,sched);
  REF(10)DOT(0).value = ch_val;
  REF(10)DOT(0).tsdr = datarepmap[REF(14)DOT(0).tsdr->number];
/* size 10.1 17 */
  REF(10)DOT(1).value.integer = REF(17).value.table->size;
  REF(10)DOT(1).tsdr = & dr_integer;
/* insert 9 10 */
  if ((ch_returncode = insertfunc(DEF(9),DEF(10),FALSE,0)) != Normal)
     goto ch_raise_exception;
c50:
/* copy 23 17 */
  if((ch_returncode = cp_table(& ch_val, REF(17).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).value = ch_val;
  REF(23).tsdr = & dr_table;
/* initget 24 23 , 0,0 */
  (*(REF(24).tsdr)->finalize)(REF(24).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(24),DEF(23),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c52:
/* get_or_goto 24 23 , 82 */
  if ((ch_returncode = get_selected_object(DEF(24),DEF(23),sched)) != Normal)
     goto c82;
/* block , 7 */
  if((ch_returncode = che_block(QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 7 */
  if (REF(7).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(7))) != Normal)
       goto ch_raise_exception;
/* find 25 7 24 , 0 */
  if (findfunc(DEF(25),DEF(7),(
          arguments[0] = DEF(24),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 26 25 7 , 0 */
  if ((ch_returncode = removefunc(DEF(26),DEF(25),DEF(7),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* copy 27 14.0 */
  if((ch_returncode = (REF(14)DOT(0).tsdr->copy)(& ch_val, REF(14)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(27).tsdr)->finalize)(REF(27).value,F_DISCARD,sched);
  REF(27).value = ch_val;
  REF(27).tsdr = datarepmap[REF(14)DOT(0).tsdr->number];
/* insert 26.1 27 */
  if ((ch_returncode = insertfunc(DEF(26)DOT(1),DEF(27),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 7 26 */
  if ((ch_returncode = insertfunc(DEF(7),DEF(26),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 52 */
   goto c52;
c62:
/* block , 8 */
  if((ch_returncode = che_block(QUAL(8),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 11 */
  if (REF(11).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(11))) != Normal)
       goto ch_raise_exception;
/* find 28 11 24 , 0 */
  if (findfunc(DEF(28),DEF(11),(
          arguments[0] = DEF(24),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 26 28 11 , 0 */
  if ((ch_returncode = removefunc(DEF(26),DEF(28),DEF(11),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* copy 29 14.0 */
  if((ch_returncode = (REF(14)DOT(0).tsdr->copy)(& ch_val, REF(14)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(29).tsdr)->finalize)(REF(29).value,F_DISCARD,sched);
  REF(29).value = ch_val;
  REF(29).tsdr = datarepmap[REF(14)DOT(0).tsdr->number];
/* insert 26.1 29 */
  if ((ch_returncode = insertfunc(DEF(26)DOT(1),DEF(29),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 11 26 */
  if ((ch_returncode = insertfunc(DEF(11),DEF(26),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 52 */
   goto c52;
c71:
/* notequal . 24 14.0 , 74 */
  if ( !(REF(24).tsdr->equal)(REF(24).value,REF(14)DOT(0).value) ) goto c74;
/* exit , 9 */
  ch_e = handler_type__exit; ch_val = QUAL(9); goto ch_exception;
c74:
/* new_record 26 , 6 */
  if ((ch_val.record = new_record(6)) == nil) goto ch_depletion;
  (*(REF(26).tsdr)->finalize)(REF(26).value,F_DISCARD,sched);
  REF(26).value = ch_val; REF(26).tsdr = & dr_record;
/* copy 26.0 24 */
  if((ch_returncode = (REF(24).tsdr->copy)(& ch_val, REF(24).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(26)DOT(0).tsdr)->finalize)(REF(26)DOT(0).value,F_DISCARD,sched);
  REF(26)DOT(0).value = ch_val;
  REF(26)DOT(0).tsdr = datarepmap[REF(24).tsdr->number];
/* new_table 26.1 , 3 */
  if ((ch_returncode = che_new_table(DEF(26)DOT(1),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 30 14.0 */
  if((ch_returncode = (REF(14)DOT(0).tsdr->copy)(& ch_val, REF(14)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(30).tsdr)->finalize)(REF(30).value,F_DISCARD,sched);
  REF(30).value = ch_val;
  REF(30).tsdr = datarepmap[REF(14)DOT(0).tsdr->number];
/* insert 26.1 30 */
  if ((ch_returncode = insertfunc(DEF(26)DOT(1),DEF(30),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* insert 11 26 */
  if ((ch_returncode = insertfunc(DEF(11),DEF(26),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 52 */
   goto c52;
c82:
/* endget 24 23 */
  end_selector(DEF(24),DEF(23),sched,GET);
/* discard 23 */
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  REF(23).tsdr = & dr_bottom;
/* notequal . 19 =(-1) , 89 */
  if ( REF(19).value.integer != -1 ) goto c89;
/* boolean 20 , TRUE */
  REF(20).value.boolean = TRUE;
  REF(20).tsdr = & dr_boolean;
c89:
/* move 14.2 18 */
  (*(REF(14)DOT(2).tsdr)->finalize)(REF(14)DOT(2).value,F_DISCARD,sched);
  REF(14)DOT(2) = REF(18);
  REF(18).tsdr = & dr_bottom;
/* move 14.3 19 */
  REF(14)DOT(3) = REF(19);
  REF(19).tsdr = & dr_bottom;
/* move 14.4 20 */
  REF(14)DOT(4) = REF(20);
  REF(20).tsdr = & dr_bottom;
/* enum_lit 14.5 , 1 */
  REF(14)DOT(5).value.enumeration = 1;
  REF(14)DOT(5).tsdr = & dr_enumeration;
/* endblock */
  che_endblock(sched);
/* branch , 113 */
   goto c113;
c96:
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* copy 14.2 6 */
  if((ch_returncode = cp_outport(& ch_val, REF(6).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(14)DOT(2).tsdr)->finalize)(REF(14)DOT(2).value,F_DISCARD,sched);
  REF(14)DOT(2).value = ch_val;
  REF(14)DOT(2).tsdr = & dr_outport;
/* ilit 14.3 , -1 */
  REF(14)DOT(3).value.integer = -1;
  REF(14)DOT(3).tsdr = & dr_integer;
/* boolean 14.4 , FALSE */
  REF(14)DOT(4).value.boolean = FALSE;
  REF(14)DOT(4).tsdr = & dr_boolean;
/* enum_lit 14.5 , 0 */
  REF(14)DOT(5).value.enumeration = 0;
  REF(14)DOT(5).tsdr = & dr_enumeration;
/* copy 31 14.0 */
  if((ch_returncode = (REF(14)DOT(0).tsdr->copy)(& ch_val, REF(14)DOT(0).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(31).tsdr)->finalize)(REF(31).value,F_DISCARD,sched);
  REF(31).value = ch_val;
  REF(31).tsdr = datarepmap[REF(14)DOT(0).tsdr->number];
/* insert 8 31 */
  if ((ch_returncode = insertfunc(DEF(8),DEF(31),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* notequal . 3.2 =(0) , 111 */
  if ( REF(3)DOT(2).value.enumeration != 0 ) goto c111;
/* exit , 10 */
  ch_e = handler_type__exit; ch_val = QUAL(10); goto ch_exception;
c111:
/* boolean 4 , TRUE */
  REF(4).value.boolean = TRUE;
  REF(4).tsdr = & dr_boolean;
c113:
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* insert 7 14 */
  if ((ch_returncode = insertfunc(DEF(7),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 26 */
   goto c26;
c116:
/* copy 32 8 */
  if((ch_returncode = cp_table(& ch_val, REF(8).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).value = ch_val;
  REF(32).tsdr = & dr_table;
/* copy 33 9 */
  if((ch_returncode = cp_table(& ch_val, REF(9).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).value = ch_val;
  REF(33).tsdr = & dr_table;
c120:
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* size 35 32 */
  REF(35).value.integer = REF(32).value.table->size;
  REF(35).tsdr = & dr_integer;
/* ile . 35 =(0) , 151 */
  if ( REF(35).value.integer <= 0 ) goto c151;
/* privatize 32 */
  if (REF(32).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(32))) != Normal)
       goto ch_raise_exception;
/* initget 36 32 , 0,0 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(36),DEF(32),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 36 32 */
  if ((ch_returncode = get_selected_object(DEF(36),DEF(32),sched)) != Normal)
     goto ch_raise_exception;
/* remove 34 36 32 */
  if ((ch_returncode = che_remove(DEF(34),DEF(36),DEF(32),sched)) != Normal)
     goto ch_raise_exception;
/* endget 36 32 */
  end_selector(DEF(36),DEF(32),sched,GET);
/* find 37 7 34 , 0 */
  if (findfunc(DEF(37),DEF(7),(
          arguments[0] = DEF(34),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 38 37.1 */
  if((ch_returncode = cp_table(& ch_val, REF(37)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).value = ch_val;
  REF(38).tsdr = & dr_table;
/* initget 39 38 , 0,0 */
  (*(REF(39).tsdr)->finalize)(REF(39).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(39),DEF(38),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c133:
/* get_or_goto 39 38 , 148 */
  if ((ch_returncode = get_selected_object(DEF(39),DEF(38),sched)) != Normal)
     goto c148;
/* privatize 33 */
  if (REF(33).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(33))) != Normal)
       goto ch_raise_exception;
/* find 40 33 39 , 0 */
  if (findfunc(DEF(40),DEF(33),(
          arguments[0] = DEF(39),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 41 40 33 , 0 */
  if ((ch_returncode = removefunc(DEF(41),DEF(40),DEF(33),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* isubtract 41.1 41.1 =(1) */
  if (!chf_isubtract(DEF(41)DOT(1),REF(41)DOT(1).value.integer,1))
     goto ch_depletion;
/* notequal . 41.1 =(0) , 145 */
  if ( REF(41)DOT(1).value.integer != 0 ) goto c145;
/* insert 32 41.0 */
  if ((ch_returncode = insertfunc(DEF(32),DEF(41)DOT(0),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 146 */
   goto c146;
c145:
/* insert 33 41 */
  if ((ch_returncode = insertfunc(DEF(33),DEF(41),FALSE,0)) != Normal)
     goto ch_raise_exception;
c146:
/* discard 41 */
  (*(REF(41).tsdr)->finalize)(REF(41).value,F_DISCARD,sched);
  REF(41).tsdr = & dr_bottom;
/* branch , 133 */
   goto c133;
c148:
/* endget 39 38 */
  end_selector(DEF(39),DEF(38),sched,GET);
/* discard 38 */
  (*(REF(38).tsdr)->finalize)(REF(38).value,F_DISCARD,sched);
  REF(38).tsdr = & dr_bottom;
/* branch , 120 */
   goto c120;
c151:
/* size 42 33 */
  REF(42).value.integer = REF(33).value.table->size;
  REF(42).tsdr = & dr_integer;
/* ile . 42 =(0) , 156 */
  if ( REF(42).value.integer <= 0 ) goto c156;
/* exit , 9 */
  ch_e = handler_type__exit; ch_val = QUAL(9); goto ch_exception;
c156:
/* copy 43 7 */
  if((ch_returncode = cp_table(& ch_val, REF(7).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).value = ch_val;
  REF(43).tsdr = & dr_table;
/* initget 44 43 , 0,0 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(44),DEF(43),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c158:
/* get_or_goto 44 43 , 204 */
  if ((ch_returncode = get_selected_object(DEF(44),DEF(43),sched)) != Normal)
     goto c204;
/* copy 45 44.1 */
  if((ch_returncode = cp_table(& ch_val, REF(44)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).value = ch_val;
  REF(45).tsdr = & dr_table;
/* initget 46 45 , 0,0 */
  (*(REF(46).tsdr)->finalize)(REF(46).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(46),DEF(45),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c161:
/* get_or_goto 46 45 , 201 */
  if ((ch_returncode = get_selected_object(DEF(46),DEF(45),sched)) != Normal)
     goto c201;
/* find 47 7 46 , 0 */
  if (findfunc(DEF(47),DEF(7),(
          arguments[0] = DEF(46),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* ige . 47.3 44.3 , 161 */
  if ( REF(47)DOT(3).value.integer >= REF(44)DOT(3).value.integer ) goto c161;
/* privatize 7 */
  if (REF(7).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(7))) != Normal)
       goto ch_raise_exception;
/* find 48 7 46 , 0 */
  if (findfunc(DEF(48),DEF(7),(
          arguments[0] = DEF(46),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 49 48 7 , 0 */
  if ((ch_returncode = removefunc(DEF(49),DEF(48),DEF(7),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* boolean 49.4 , TRUE */
  REF(49)DOT(4).value.boolean = TRUE;
  REF(49)DOT(4).tsdr = & dr_boolean;
/* boolean 50 , FALSE */
  REF(50).value.boolean = FALSE;
  REF(50).tsdr = & dr_boolean;
/* enum_lit 51 , 1 */
  REF(51).value.enumeration = 1;
  REF(51).tsdr = & dr_enumeration;
/* find_or_goto 52 3.3 51 , 0,175 */
  if (findfunc(DEF(52),DEF(3)DOT(3),(
          arguments[0] = DEF(51),& arguments[0]),sched,0) == FAILURE) goto c175;
/* boolean 50 , TRUE */
  REF(50).value.boolean = TRUE;
  REF(50).tsdr = & dr_boolean;
c175:
/* branch_false 50 , 198 */
  if ( !REF(50).value.boolean ) goto c198;
/* chs_lit 53 , "make: " */
  if( !chs_lit(DEF(53),"make: ") ) goto ch_depletion;
/* concat 54 53 49.0.1 */
  if ((ch_returncode = che_concat(DEF(54),DEF(53),DEF(49)DOT(0)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 53 */
  (*(REF(53).tsdr)->finalize)(REF(53).value,F_DISCARD,sched);
  REF(53).tsdr = & dr_bottom;
/* chs_lit 55 , " " */
  if( !chs_lit(DEF(55)," ") ) goto ch_depletion;
/* concat 56 54 55 */
  if ((ch_returncode = che_concat(DEF(56),DEF(54),DEF(55),sched)) != Normal)
     goto ch_raise_exception;
/* discard 54 */
  (*(REF(54).tsdr)->finalize)(REF(54).value,F_DISCARD,sched);
  REF(54).tsdr = & dr_bottom;
/* discard 55 */
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).tsdr = & dr_bottom;
/* concat 57 56 49.0.0 */
  if ((ch_returncode = che_concat(DEF(57),DEF(56),DEF(49)DOT(0)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 56 */
  (*(REF(56).tsdr)->finalize)(REF(56).value,F_DISCARD,sched);
  REF(56).tsdr = & dr_bottom;
/* chs_lit 58 , " out of date wrt " */
  if( !chs_lit(DEF(58)," out of date wrt ") ) goto ch_depletion;
/* concat 59 57 58 */
  if ((ch_returncode = che_concat(DEF(59),DEF(57),DEF(58),sched)) != Normal)
     goto ch_raise_exception;
/* discard 57 */
  (*(REF(57).tsdr)->finalize)(REF(57).value,F_DISCARD,sched);
  REF(57).tsdr = & dr_bottom;
/* discard 58 */
  (*(REF(58).tsdr)->finalize)(REF(58).value,F_DISCARD,sched);
  REF(58).tsdr = & dr_bottom;
/* concat 60 59 44.0.1 */
  if ((ch_returncode = che_concat(DEF(60),DEF(59),DEF(44)DOT(0)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 59 */
  (*(REF(59).tsdr)->finalize)(REF(59).value,F_DISCARD,sched);
  REF(59).tsdr = & dr_bottom;
/* chs_lit 61 , " " */
  if( !chs_lit(DEF(61)," ") ) goto ch_depletion;
/* concat 62 60 61 */
  if ((ch_returncode = che_concat(DEF(62),DEF(60),DEF(61),sched)) != Normal)
     goto ch_raise_exception;
/* discard 60 */
  (*(REF(60).tsdr)->finalize)(REF(60).value,F_DISCARD,sched);
  REF(60).tsdr = & dr_bottom;
/* discard 61 */
  (*(REF(61).tsdr)->finalize)(REF(61).value,F_DISCARD,sched);
  REF(61).tsdr = & dr_bottom;
/* concat 63 62 44.0.0 */
  if ((ch_returncode = che_concat(DEF(63),DEF(62),DEF(44)DOT(0)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 62 */
  (*(REF(62).tsdr)->finalize)(REF(62).value,F_DISCARD,sched);
  REF(62).tsdr = & dr_bottom;
  current->ip = 21;
cb197:
/* call 3.5.1 63 , 11 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(5)DOT(1),
          arguments[1] = DEF(63),
          arguments[1+1] = nil,& arguments[0]),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
  return;
c198:
/* discard 63 */
  (*(REF(63).tsdr)->finalize)(REF(63).value,F_DISCARD,sched);
  REF(63).tsdr = & dr_bottom;
/* insert 7 49 */
  if ((ch_returncode = insertfunc(DEF(7),DEF(49),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 161 */
   goto c161;
c201:
/* endget 46 45 */
  end_selector(DEF(46),DEF(45),sched,GET);
/* discard 45 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  REF(45).tsdr = & dr_bottom;
/* branch , 158 */
   goto c158;
c204:
/* endget 44 43 */
  end_selector(DEF(44),DEF(43),sched,GET);
/* discard 43 */
  (*(REF(43).tsdr)->finalize)(REF(43).value,F_DISCARD,sched);
  REF(43).tsdr = & dr_bottom;
/* notequal . 3.1 =(0) , 213 */
  if ( REF(3)DOT(1).value.enumeration != 0 ) goto c213;
/* branch_false 4 , 212 */
  if ( !REF(4).value.boolean ) goto c212;
/* exit , 10 */
  ch_e = handler_type__exit; ch_val = QUAL(10); goto ch_exception;
c212:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
c213:
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* size 65 8 */
  REF(65).value.integer = REF(8).value.table->size;
  REF(65).tsdr = & dr_integer;
/* ile . 65 =(0) , 316 */
  if ( REF(65).value.integer <= 0 ) goto c316;
/* privatize 8 */
  if (REF(8).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(8))) != Normal)
       goto ch_raise_exception;
/* initget 66 8 , 0,0 */
  (*(REF(66).tsdr)->finalize)(REF(66).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(66),DEF(8),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
/* get_or_err 66 8 */
  if ((ch_returncode = get_selected_object(DEF(66),DEF(8),sched)) != Normal)
     goto ch_raise_exception;
/* remove 64 66 8 */
  if ((ch_returncode = che_remove(DEF(64),DEF(66),DEF(8),sched)) != Normal)
     goto ch_raise_exception;
/* endget 66 8 */
  end_selector(DEF(66),DEF(8),sched,GET);
/* privatize 7 */
  if (REF(7).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(7))) != Normal)
       goto ch_raise_exception;
/* find 67 7 64 , 0 */
  if (findfunc(DEF(67),DEF(7),(
          arguments[0] = DEF(64),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 14 67 7 , 0 */
  if ((ch_returncode = removefunc(DEF(14),DEF(67),DEF(7),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* equal 68 14.5 =(1) */
  REF(68).value.boolean = (REF(14)DOT(5).value.enumeration == 1);
  REF(68).tsdr = & dr_boolean;
/* equal 69 3.1 =(2) */
  REF(69).value.boolean = (REF(3)DOT(1).value.enumeration == 2);
  REF(69).tsdr = & dr_boolean;
/* or 70 14.4 69 */
  REF(70).value.boolean = REF(14)DOT(4).value.boolean|REF(69).value.boolean;
  REF(70).tsdr = & dr_boolean;
/* and 71 68 70 */
  REF(71).value.boolean = REF(68).value.boolean&REF(70).value.boolean;
  REF(71).tsdr = & dr_boolean;
/* branch_false 71 , 247 */
  if ( !REF(71).value.boolean ) goto c247;
  current->ip = 26;
cb233:
/* call 14.2 72 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(14)DOT(2),
          arguments[1] = DEF(72),
          arguments[1+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c234:
/* branch_false 72 , 238 */
  if ( !REF(72).value.boolean ) goto c238;
/* enum_lit 14.5 , 3 */
  REF(14)DOT(5).value.enumeration = 3;
  REF(14)DOT(5).tsdr = & dr_enumeration;
/* branch , 247 */
   goto c247;
c238:
/* enum_lit 14.5 , 2 */
  REF(14)DOT(5).value.enumeration = 2;
  REF(14)DOT(5).tsdr = & dr_enumeration;
/* notequal . 3.2 =(0) , 245 */
  if ( REF(3)DOT(2).value.enumeration != 0 ) goto c245;
/* exit , 10 */
  ch_e = handler_type__exit; ch_val = QUAL(10); goto ch_exception;
c245:
/* boolean 4 , TRUE */
  REF(4).value.boolean = TRUE;
  REF(4).tsdr = & dr_boolean;
c247:
/* noop */
  
/* equal 73 3.1 =(2) */
  REF(73).value.boolean = (REF(3)DOT(1).value.enumeration == 2);
  REF(73).tsdr = & dr_boolean;
/* equal 74 14.5 =(1) */
  REF(74).value.boolean = (REF(14)DOT(5).value.enumeration == 1);
  REF(74).tsdr = & dr_boolean;
/* or 75 73 74 */
  REF(75).value.boolean = REF(73).value.boolean|REF(74).value.boolean;
  REF(75).tsdr = & dr_boolean;
/* equal 76 14.5 =(3) */
  REF(76).value.boolean = (REF(14)DOT(5).value.enumeration == 3);
  REF(76).tsdr = & dr_boolean;
/* or 77 75 76 */
  REF(77).value.boolean = REF(75).value.boolean|REF(76).value.boolean;
  REF(77).tsdr = & dr_boolean;
/* branch_false 77 , 314 */
  if ( !REF(77).value.boolean ) goto c314;
/* copy 78 14.1 */
  if((ch_returncode = cp_table(& ch_val, REF(14)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).value = ch_val;
  REF(78).tsdr = & dr_table;
/* initget 79 78 , 0,0 */
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(79),DEF(78),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c258:
/* get_or_goto 79 78 , 312 */
  if ((ch_returncode = get_selected_object(DEF(79),DEF(78),sched)) != Normal)
     goto c312;
/* privatize 9 */
  if (REF(9).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(9))) != Normal)
       goto ch_raise_exception;
/* find 80 9 79 , 0 */
  if (findfunc(DEF(80),DEF(9),(
          arguments[0] = DEF(79),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 10 80 9 , 0 */
  if ((ch_returncode = removefunc(DEF(10),DEF(80),DEF(9),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* isubtract 10.1 10.1 =(1) */
  if (!chf_isubtract(DEF(10)DOT(1),REF(10)DOT(1).value.integer,1))
     goto ch_depletion;
/* notequal . 10.1 =(0) , 270 */
  if ( REF(10)DOT(1).value.integer != 0 ) goto c270;
/* insert 8 10.0 */
  if ((ch_returncode = insertfunc(DEF(8),DEF(10)DOT(0),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 271 */
   goto c271;
c270:
/* insert 9 10 */
  if ((ch_returncode = insertfunc(DEF(9),DEF(10),FALSE,0)) != Normal)
     goto ch_raise_exception;
c271:
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* branch_false 14.4 , 258 */
  if ( !REF(14)DOT(4).value.boolean ) goto c258;
/* privatize 7 */
  if (REF(7).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(7))) != Normal)
       goto ch_raise_exception;
/* find 81 7 79 , 0 */
  if (findfunc(DEF(81),DEF(7),(
          arguments[0] = DEF(79),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* fremove 82 81 7 , 0 */
  if ((ch_returncode = removefunc(DEF(82),DEF(81),DEF(7),sched,0
    ,NO_TBL,(position *) nil)) != Normal) goto ch_raise_exception;
/* boolean 82.4 , TRUE */
  REF(82)DOT(4).value.boolean = TRUE;
  REF(82)DOT(4).tsdr = & dr_boolean;
/* boolean 83 , FALSE */
  REF(83).value.boolean = FALSE;
  REF(83).tsdr = & dr_boolean;
/* enum_lit 84 , 1 */
  REF(84).value.enumeration = 1;
  REF(84).tsdr = & dr_enumeration;
/* find_or_goto 85 3.3 84 , 0,282 */
  if (findfunc(DEF(85),DEF(3)DOT(3),(
          arguments[0] = DEF(84),& arguments[0]),sched,0) == FAILURE) goto c282;
/* boolean 83 , TRUE */
  REF(83).value.boolean = TRUE;
  REF(83).tsdr = & dr_boolean;
c282:
/* branch_false 83 , 309 */
  if ( !REF(83).value.boolean ) goto c309;
/* chs_lit 86 , "make: " */
  if( !chs_lit(DEF(86),"make: ") ) goto ch_depletion;
/* concat 87 86 79.1 */
  if ((ch_returncode = che_concat(DEF(87),DEF(86),DEF(79)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 86 */
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  REF(86).tsdr = & dr_bottom;
/* chs_lit 88 , " " */
  if( !chs_lit(DEF(88)," ") ) goto ch_depletion;
/* concat 89 87 88 */
  if ((ch_returncode = che_concat(DEF(89),DEF(87),DEF(88),sched)) != Normal)
     goto ch_raise_exception;
/* discard 87 */
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  REF(87).tsdr = & dr_bottom;
/* discard 88 */
  (*(REF(88).tsdr)->finalize)(REF(88).value,F_DISCARD,sched);
  REF(88).tsdr = & dr_bottom;
/* concat 90 89 79.0 */
  if ((ch_returncode = che_concat(DEF(90),DEF(89),DEF(79)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 89 */
  (*(REF(89).tsdr)->finalize)(REF(89).value,F_DISCARD,sched);
  REF(89).tsdr = & dr_bottom;
/* chs_lit 91 , " will be made because " */
  if( !chs_lit(DEF(91)," will be made because ") ) goto ch_depletion;
/* concat 92 90 91 */
  if ((ch_returncode = che_concat(DEF(92),DEF(90),DEF(91),sched)) != Normal)
     goto ch_raise_exception;
/* discard 90 */
  (*(REF(90).tsdr)->finalize)(REF(90).value,F_DISCARD,sched);
  REF(90).tsdr = & dr_bottom;
/* discard 91 */
  (*(REF(91).tsdr)->finalize)(REF(91).value,F_DISCARD,sched);
  REF(91).tsdr = & dr_bottom;
/* concat 93 92 14.0.1 */
  if ((ch_returncode = che_concat(DEF(93),DEF(92),DEF(14)DOT(0)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 92 */
  (*(REF(92).tsdr)->finalize)(REF(92).value,F_DISCARD,sched);
  REF(92).tsdr = & dr_bottom;
/* chs_lit 94 , " " */
  if( !chs_lit(DEF(94)," ") ) goto ch_depletion;
/* concat 95 93 94 */
  if ((ch_returncode = che_concat(DEF(95),DEF(93),DEF(94),sched)) != Normal)
     goto ch_raise_exception;
/* discard 93 */
  (*(REF(93).tsdr)->finalize)(REF(93).value,F_DISCARD,sched);
  REF(93).tsdr = & dr_bottom;
/* discard 94 */
  (*(REF(94).tsdr)->finalize)(REF(94).value,F_DISCARD,sched);
  REF(94).tsdr = & dr_bottom;
/* concat 96 95 14.0.0 */
  if ((ch_returncode = che_concat(DEF(96),DEF(95),DEF(14)DOT(0)DOT(0)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 95 */
  (*(REF(95).tsdr)->finalize)(REF(95).value,F_DISCARD,sched);
  REF(95).tsdr = & dr_bottom;
/* chs_lit 97 , " was made" */
  if( !chs_lit(DEF(97)," was made") ) goto ch_depletion;
/* concat 98 96 97 */
  if ((ch_returncode = che_concat(DEF(98),DEF(96),DEF(97),sched)) != Normal)
     goto ch_raise_exception;
/* discard 96 */
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).tsdr = & dr_bottom;
/* discard 97 */
  (*(REF(97).tsdr)->finalize)(REF(97).value,F_DISCARD,sched);
  REF(97).tsdr = & dr_bottom;
  current->ip = 30;
cb308:
/* call 3.5.1 98 , 11 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(5)DOT(1),
          arguments[1] = DEF(98),
          arguments[1+1] = nil,& arguments[0]),QUAL(11),sched)) != Normal)
     goto ch_raise_exception;
  return;
c309:
/* discard 98 */
  (*(REF(98).tsdr)->finalize)(REF(98).value,F_DISCARD,sched);
  REF(98).tsdr = & dr_bottom;
/* insert 7 82 */
  if ((ch_returncode = insertfunc(DEF(7),DEF(82),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 258 */
   goto c258;
c312:
/* endget 79 78 */
  end_selector(DEF(79),DEF(78),sched,GET);
/* discard 78 */
  (*(REF(78).tsdr)->finalize)(REF(78).value,F_DISCARD,sched);
  REF(78).tsdr = & dr_bottom;
c314:
/* insert 7 14 */
  if ((ch_returncode = insertfunc(DEF(7),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 213 */
   goto c213;
c316:
/* branch_false 4 , 319 */
  if ( !REF(4).value.boolean ) goto c319;
/* exit , 10 */
  ch_e = handler_type__exit; ch_val = QUAL(10); goto ch_exception;
c319:
/* exit , 12 */
  ch_e = handler_type__exit; ch_val = QUAL(12); goto ch_exception;
/* endblock */
  che_endblock(sched);
/* branch , 340 */
   goto c340;
c322:
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 17 */
  (*(REF(17).tsdr)->finalize)(REF(17).value,F_DISCARD,sched);
  REF(17).tsdr = & dr_bottom;
/* discard 18 */
  (*(REF(18).tsdr)->finalize)(REF(18).value,F_DISCARD,sched);
  REF(18).tsdr = & dr_bottom;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* move 3.6 7 */
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(3)DOT(6) = REF(7);
  REF(7).tsdr = & dr_bottom;
/* return_exception 3 , 14 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(14),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(14));
  REF(3).tsdr = & dr_bottom;
/* branch , 340 */
   goto c340;
c330:
/* discard 14 */
  (*(REF(14).tsdr)->finalize)(REF(14).value,F_DISCARD,sched);
  REF(14).tsdr = & dr_bottom;
/* discard 64 */
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).tsdr = & dr_bottom;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* move 3.6 7 */
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(3)DOT(6) = REF(7);
  REF(7).tsdr = & dr_bottom;
/* return_exception 3 , 15 */
  if (ch_caller = do_return(REF(3).value)) {
    raise_user(QUAL(15),ch_caller); 
    sched->wakeup_proc(sched,ch_caller);}
  else rem_return_exception(DEF(3),QUAL(15));
  REF(3).tsdr = & dr_bottom;
/* branch , 340 */
   goto c340;
c338:
/* move 3.6 7 */
  (*(REF(3)DOT(6).tsdr)->finalize)(REF(3)DOT(6).value,F_DISCARD,sched);
  REF(3)DOT(6) = REF(7);
  REF(7).tsdr = & dr_bottom;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
c340:
/* discard 32 */
  (*(REF(32).tsdr)->finalize)(REF(32).value,F_DISCARD,sched);
  REF(32).tsdr = & dr_bottom;
/* discard 33 */
  (*(REF(33).tsdr)->finalize)(REF(33).value,F_DISCARD,sched);
  REF(33).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c344:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
